/*
 * blancoDb
 * Copyright (C) 2004-2005 Yasuo Nakanishi
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
package blanco.db.alias;

/**
 * @author Yasuo Nakanishi
 */
public interface NameTranslator {
    public boolean isThroughTableName(String dbTableName);

    public String getTableName(String dbTableName);

    public boolean isThroughFieldName(String dbFieldName);

    public String getFieldName(String dbFieldName);
}